Name:           konversation
Version:        1.7
Release:        %mkrel 1
Summary:        A user friendly IRC Client for Plasma 5
License:        GPLv2
Group:          Networking/IRC
URL:            http://konversation.kde.org
Source0:        http://download.kde.org/stable/konversation/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         konversation-1.3-mga-default_channel.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Emoticons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IdleTime)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemViews)

BuildRequires:  pkgconfig(qca2-qt5)

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Requires:       qca-qt5
Provides:       plasma5-irc-client

%description
Konversation is a graphical Internet Relay Chat client (IRC)
with Plasma 5 support.

Features:

* Standard IRC features
* SSL server support
* Bookmarking support
* Easy to use graphical user interface
* Multiple servers and channels in one single window
* DCC file transfer
* Multiple identities for different servers
* Text decorations and colors
* OnScreen Display for notifications
* Automatic UTF-8 detection
* Per channel encoding support
* Theme support for nick icons
* Highly configurable

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/kconf_update/%{name}*
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_iconsdir}/hicolor/*/actions/konv_message.png
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_knotificationsdir}/%{name}.notifyrc

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang %{name} --with-html


%changelog
* Wed Apr 26 2017 akien <akien> 1.7-1.mga6
+ Revision: 1097750
- Version 1.7

* Wed Aug 03 2016 daviddavid <daviddavid> 1.6.2-1.mga6
+ Revision: 1044407
- new version: 1.6.2

* Fri Jul 22 2016 daviddavid <daviddavid> 1.6.1-1.mga6
+ Revision: 1043214
- new version: 1.6.1

* Fri Jul 15 2016 daviddavid <daviddavid> 1.6.0-1.mga6
+ Revision: 1042147
- update to stable Kf5 release 1.6.0
- update Summary and Description
- switch BRs to cmake()

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Nov 30 2015 neoclust <neoclust> 1.6.0-0.git20151130.1.mga6
+ Revision: 907254
- New snapshot

* Fri Aug 14 2015 neoclust <neoclust> 1.6.0-0.git20150726.3.mga6
+ Revision: 864638
- Provides plasma5-irc-client

* Wed Aug 05 2015 neoclust <neoclust> 1.6.0-0.git20150726.2.mga6
+ Revision: 861175
- Own kxmlgui5/%%name dir

* Sun Jul 26 2015 neoclust <neoclust> 1.6.0-0.git20150726.1.mga6
+ Revision: 857944
- Add snapshot for kf5 version

* Thu Nov 06 2014 luigiwalser <luigiwalser> 1.5.1-1.mga5
+ Revision: 795949
- 1.5.1

* Mon Oct 27 2014 luigiwalser <luigiwalser> 1.5-4.mga5
+ Revision: 793813
- add upstream patch to fix CVE-2014-8483

* Wed Oct 15 2014 umeabot <umeabot> 1.5-3.mga5
+ Revision: 749029
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-2.mga5
+ Revision: 681173
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 fwang <fwang> 1.5-1.mga5
+ Revision: 585353
- 1.5 final

* Sat Oct 19 2013 umeabot <umeabot> 1.5-0.rc1.2.mga4
+ Revision: 522552
- Mageia 4 Mass Rebuild

* Mon Mar 18 2013 neoclust <neoclust> 1.5-0.rc1.1.mga3
+ Revision: 403717
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 356429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 05 2011 fwang <fwang> 1.4-1.mga2
+ Revision: 176763
- new version 1.4

* Wed Nov 02 2011 fwang <fwang> 1.4-0.beta1.1.mga2
+ Revision: 161549
- update file list
- new version 1.4 beta1

* Tue Mar 15 2011 mikala <mikala> 1.3.1-3.mga1
+ Revision: 71515
- Enable ssl by default on freenode

* Mon Jan 24 2011 ahmad <ahmad> 1.3.1-2.mga1
+ Revision: 35768
- change default channel to #mageia
- imported package konversation

